summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/gdb/gdb_7.9.1.bb
diff options
context:
space:
mode:
Diffstat (limited to 'meta/recipes-devtools/gdb/gdb_7.9.1.bb')
-rw-r--r--meta/recipes-devtools/gdb/gdb_7.9.1.bb24
1 files changed, 24 insertions, 0 deletions
diff --git a/meta/recipes-devtools/gdb/gdb_7.9.1.bb b/meta/recipes-devtools/gdb/gdb_7.9.1.bb
new file mode 100644
index 0000000000..1abc9d8e76
--- /dev/null
+++ b/meta/recipes-devtools/gdb/gdb_7.9.1.bb
@@ -0,0 +1,24 @@
+require gdb.inc
+require gdb-${PV}.inc
+
+inherit python-dir
+
+PACKAGECONFIG ??= ""
+PACKAGECONFIG[python] = "--with-python=${WORKDIR}/python,--without-python,python"
+PACKAGECONFIG[babeltrace] = "--with-babeltrace,--without-babeltrace,babeltrace"
+
+do_configure_prepend() {
+ if [ -n "${@bb.utils.contains('PACKAGECONFIG', 'python', 'python', '', d)}" ]; then
+ cat > ${WORKDIR}/python << EOF
+#!/bin/sh
+case "\$2" in
+ --includes) echo "-I${STAGING_INCDIR}/${PYTHON_DIR}/" ;;
+ --ldflags) echo "-Wl,-rpath-link,${STAGING_LIBDIR}/.. -Wl,-rpath,${libdir}/.. -lpthread -ldl -lutil -lm -lpython${PYTHON_BASEVERSION}" ;;
+ --exec-prefix) echo "${exec_prefix}" ;;
+ *) exit 1 ;;
+esac
+exit 0
+EOF
+ chmod +x ${WORKDIR}/python
+ fi
+}